package atomfeed

import (
	"mime"
	"net/url"
	"strings"
)

type (
	EmailAddress string
	LanguageTag  string
	MediaType    string
	URI          string
)

func isValidURL(testURL URI) bool {
	_, err := url.ParseRequestURI(string(testURL))
	return err == nil
}

func isCompositeMediaType(mediaType string) bool {
	mediaType, _, err := mime.ParseMediaType(mediaType)
	if err != nil {
		return false
	}

	return strings.HasPrefix(mediaType, "multipart/") || strings.HasPrefix(mediaType, "message/")
}

func isXMLMediaType(mediaType string) bool {
	mediaType, _, err := mime.ParseMediaType(mediaType)
	if err != nil {
		return false
	}

	return strings.HasSuffix(mediaType, "/xml") || strings.HasSuffix(mediaType, "+xml")
}
